GET /collections
Operation ID: collections_list
Auth: unknown
Description
Returns a list of public collections
Parameters (14)
(string, header, optional)
Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected.
(string, query, optional)
only return collections with this doi
(integer, query, optional)
only return collections from this group
(string, query, optional)
only return collections with this handle
(integer, query, optional)
only return collections from this institution
(integer, query, optional)
Number of results included on a page. Used for pagination with query
Constraints: {'minimum': 1, 'maximum': 1000}
(string, query, optional)
Filter by collection modified date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD
(integer, query, optional)
Where to start the listing(the offset of the first result). Used for pagination with limit
Constraints: {'minimum': 0, 'maximum': 5000}
(string, query, optional, default: published_date)
The field by which to order. Default varies by endpoint/resource.
Constraints: {'enum': ['published_date', 'modified_date', 'views', 'shares', 'cites']}
(string, query, optional, default: desc)
Constraints: {'enum': ['asc', 'desc']}
(integer, query, optional)
Page number. Used for pagination with page_size
Constraints: {'minimum': 1, 'maximum': 5000}
(integer, query, optional, default: 10)
The number of results included on a page. Used for pagination with page
Constraints: {'minimum': 1, 'maximum': 1000}
(string, query, optional)
Filter by collection publishing date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD
(string, query, optional)
only return collections with this resource_doi
No probe data for this endpoint yet.